# -*- rpm-spec -*-
# $Id: xemacs-prog-modes,v 1.19 2002/12/21 17:25:26 lioka Exp $

%define xemacs_package prog-modes

Name: xemacs-prog-modes
Version: 1.67
Release: alt3

Summary: Support for various programming languages
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2
Source1: rpm-spec-mode.el.gz

PreReq: xemacsen
Requires: xemacs-base xemacs-mail-lib xemacs-cc-mode xemacs-fsf-compat xemacs-edit-utils xemacs-ediff xemacs-emerge xemacs-efs xemacs-vc xemacs-speedbar xemacs-dired xemacs-ilisp

BuildArch: noarch
BuildPreReq: xemacsen
BuildRequires: xemacs-base xemacs-cc-mode xemacs-dired xemacs-edit-utils xemacs-fsf-compat xemacs-speedbar

%description
Support for various programming languages

%prep
%setup -q -c
zcat %SOURCE1 > %_builddir/%name-%version/lisp/prog-modes/rpm-spec-mode.el

%build
%xemacs_bytecompile -C lisp/prog-modes

%install
%__mkdir_p %buildroot%_xemacs_package_dir
%__cp -a . %buildroot%_xemacs_package_dir

%xemacs_package_find_files

%files -f %name-files

%changelog
* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.67-alt3
- #1531 fixed

* Sat Nov 30 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.67-alt2
- xemacs-el-devel requirement dropped

* Mon Oct 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.67-alt1
- 1.67

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.60-alt1
- first build for %distribution distribution

